<?php
 

session_start();
include("include/config.php");
include("include/functions/import.php");
$thebaseurl = $config['baseurl'];

$getfilter = htmlentities(strip_tags($_REQUEST[filter]));
$filter = escape($getfilter);
$showmax = $config['max_syndicate_results'];

if ($filter =="0")
{
	$query = "SELECT * from channels order by time_added desc limit $showmax";
	$showtitle = "$lang[514]";
	$link   = $config['baseurl']."/syndicate/channels/0/$lang[175]"; 
}
elseif ($filter =="1")
{
	$query = "SELECT * from channels order by subscriptions desc limit $showmax";
	$showtitle = "$lang[515]";
	$link   = $config['baseurl']."/syndicate/channels/1/$lang[183]";
}
elseif ($filter =="2")
{
	$query = "SELECT * from channels order by viewcount desc limit $showmax";
	$showtitle = "$lang[516]";
	$link   = $config['baseurl']."/syndicate/channels/2/$lang[188]";
}
elseif ($filter =="3")
{
	$query = "SELECT * from channels order by rating desc limit $showmax";
	$showtitle = "$lang[517]";
	$link   = $config['baseurl']."/syndicate/channels/3/$lang[179]";
}
elseif ($filter =="4")
{
	$query = "SELECT * from channels order by commentcount desc limit $showmax";
	$showtitle = "$lang[518]";
	$link   = $config['baseurl']."/syndicate/channels/4/$lang[187]";
}
elseif ($filter =="5")
{
	$query = "SELECT * from channels WHERE featured='1' order by time_added desc limit $showmax";
	$showtitle = "$lang[221]";
	$link   = $config['baseurl']."/syndicate/channels/5/$lang[62]";
}


header("Content-Type: text/xml"); 
header("Expires: 0"); 
print "<?xml version=\"1.0\" encoding=\"utf-8\" ?>\n"; 
print "<rss version=\"2.0\" xmlns:media=\"http://search.yahoo.com/mrss\">\n"; 
print "<channel>\n"; 
print "<title>".$showtitle." - ".$config['site_name']."</title>\n"; 
print "<link>$link</link>\n"; 
print "<description>".$showtitle."</description>\n"; 

$db=mysql_connect ($DBHOST,$DBUSER,$DBPASSWORD) or die ('I cannot connect to the database because: ' . mysql_error());
mysql_select_db ($DBNAME); 
  
$result = mysql_query($query) or die ('Query Error: ' . mysql_error()); 
while ($results = mysql_fetch_array($result)) 
{ 
  $thumbnail       = $config['cthumburl']."/".$results['photo']; 
  $video       = $config['baseurl']."/".$results['seokey']; 
  $description = str_replace ("&amp","",htmlspecialchars(stripslashes($results['details']))); 
  
  $query="SELECT username FROM members WHERE USERID='".mysql_real_escape_string($results[MID])."'";
  $executequery=$conn->execute($query);
  $getusername = $executequery->fields[username];
		
	print "<item>\n"; 
	print "  <title>".$results['name']."</title>\n";
	print "  <link>".$video."</link>\n"; 
	print "  <description>\n"; 
	print "    <![CDATA["; 
	print "<img src=\"$thumbnail\" align=\"right\" border=\"0\" width=\"170\" height=\"120\" vspace=\"5\" hspace=\"5\"/>".$description."<br><br>$lang[672]: <a href=\"$config[baseurl]/members/profile/$results[MID]/$getusername\">$getusername</a>"; 
  		
	$query = "select name from categories_channels WHERE CATID='".mysql_real_escape_string($results['category'])."' limit 1"; 
	$executequery = $conn->execute($query);
	$category = $executequery->fields[name];
	
	print "<br>$lang[218]: $category"; 	
	print "<br>$lang[671]: $results[subscriptions]"; 
	print "<br>$lang[60]: $results[viewcount] | $lang[63]: $results[commentcount]";
	print "<br/><br/><br/><br/><br /><hr>"; 
	print "    ]]>\n"; 
	print "  </description>\n"; 
	print "  <author>".$getusername."</author>\n"; 
	print "</item>\n"; 
} 
mysql_close(); 
print "</channel>\n"; 
print "</rss>"; 
?> 